keys:
  # Users
  - &users:
    - &sora 4E241635F8EDD2919D2FB44CA362EA0491E2EEA0
  # Hosts
  - &hosts:
    - &ci age13qv9dn9806paqgpjwmmkwtdzvv4qpv0ulksq0epnn8ufaxeug5zskyas3z
    - &iriy age1ms8f0ysv6vakxepvt69fejczs6tddexepesdv4rkgtheehj3nu4sc6290s
    - &avalon age1sxzuhh2fcd4pmaz4mdqq95t683d32ft22w9t2r7pk258u0s8wymsqdj7lg
    - &valinor age1sxzuhh2fcd4pmaz4mdqq95t683d32ft22w9t2r7pk258u0s8wymsqdj7lg
    - &asgard age1sxzuhh2fcd4pmaz4mdqq95t683d32ft22w9t2r7pk258u0s8wymsqdj7lg
    - &gateway age1lqvnzlendlmtwgstzrj4xzrwpatwx56k5az5au78fyg99yecwfzs3s6xn6
    - &sandbox age1pf4auk6u2tmefuqpuc6mntr26cp4wcsmlhnn98arzxsp3753ruqsj0jqk3

creation_rules:
  - path_regex: modules/shared/sops/common.[a-z]+
    key_groups:
      - age:
          - *valinor
          - *iriy
          - *avalon
          - *asgard
          - *gateway
        pgp:
          - *sora

  - path_regex: modules/shared/sops/mock.[a-z]+
    key_groups:
      - age:
          - *ci
          - *sandbox
        pgp:
          - *sora

  - path_regex: modules/server/sops/server.[a-z]+
    key_groups:
      - age:
          - *avalon
          - *sandbox

        pgp:
          - *sora
